// Les attributs
using System;
using System.Reflection; 

[AttributeUsage(AttributeTargets.Field)]
class ValeurInitialeAttribute : System.Attribute
{ 
 public string NomBD, NomCh; 
 public ValeurInitialeAttribute(string abd, string ach) 
 {  
  NomBD = abd; NomCh = ach; 
 }
}

class Donnes
{ 
 public static int Champ1;  
 [ValeurInitiale("BDDesValeursInitiales", "Ch2")] 
 public static int Champ2;
}

class Prog
{ 
 static void Main() 
 {    
  FieldInfo fi = typeof(Donnes).GetField("Champ2");  
  object[] tabAtt = fi.GetCustomAttributes(true); 

  if (tabAtt.Length != 0)  
  {   
   ValeurInitialeAttribute att = (ValeurInitialeAttribute)tabAtt[0];   
   Console.WriteLine(att.NomBD);   
   Console.WriteLine(att.NomCh);  
  }  
  Console.Read(); 
 }
}

